OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000618OMNeT++simulation kernelpublic2012-11-19 11:082013-12-07 14:25
Reporterandras 
Assigned To 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.2.2 
Target VersionFixed in Version4.3 
Summary0000618: Simtime class does not allow constructing exact values (i.e. without doing through a double)
DescriptionSimtime class should have a constructor to allow creating exact values like 3ns. Currently it is only possible via double. There should be constructors like SimTime(int mantissa, int exponent) and SimTime(double mantissa, int exponent).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000856)
andras (administrator)
2013-12-07 14:25

Already fixed in version 4.3. include/ChangeLog:

2013-02-07 Andras Varga

    * SimTime: added SimTime(int64 value, int base10exponent) constructor
    to allow specifying precise constants.

    SimTime: added functions for getting the value out in various time
    units (sec, msec, etc): inUnit(), trunc(), remainderForUnit(), split()

- Issue History
Date Modified Username Field Change
2012-11-19 11:08 andras New Issue
2013-12-06 17:18 rhornig Priority normal => immediate
2013-12-07 14:25 andras Note Added: 0000856
2013-12-07 14:25 andras Status new => closed
2013-12-07 14:25 andras Resolution open => fixed
2013-12-07 14:25 andras Fixed in Version => 4.3


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker